## oem-tangshan-rubikpi3-thermal 1.1.0ubuntu0

=== Makefile ===
# SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)
# Makefile for rubikpi3-thermal
PKG_NAME := oem-tangshan-rubikpi3-thermal
VERSION := 1.1.0
DEB_VERSION := $(VERSION)-1

DESTDIR ?=
PREFIX ?= /usr
BINDIR := $(DESTDIR)$(PREFIX)/bin
INCLUDE_DIR := $(DESTDIR)$(PREFIX)/include
LIB_DIR := $(DESTDIR)$(PREFIX)/lib

BUILD_DIR := build
DEB_BUILD_DIR := $(BUILD_DIR)/deb
PKG_BUILD_DIR := $(DEB_BUILD_DIR)/$(PKG_NAME)

SUBDIRS = src
LIBDIRS = tools/thermal/lib tools/lib/thermal
TOOL_BUILD_DIRS = tools/build/

srctree := $(shell pwd)

.PHONY: install clean deb source binary $(SUBDIRS) $(LIBDIRS)

all: $(SUBDIRS)

install: $(LIBDIRS)
	@mkdir -p $(BINDIR)
	@mkdir -p $(INCLUDE_DIR)

	$(MAKE) -C $< install
	$(MAKE) -C $(SUBDIRS) install INSTALL_DIR=$(BINDIR) srctree=$(srctree)

$(SUBDIRS): lib
	$(MAKE) -C $@ srctree=$(srctree)

build: all

deb:
	@fakeroot dh binary

source:
	@tar -cJf ../$(PKG_NAME)_$(VERSION).orig.tar.xz --exclude=debian ./

binary: deb

lib: $(LIBDIRS)
$(LIBDIRS):
	$(MAKE) -C $@

clean:
	for dir in $(SUBDIRS); do $(MAKE) -C $$dir clean; done
	for dir in $(LIBDIRS); do $(MAKE) -C $$dir clean; done
	for dir in $(TOOL_BUILD_DIRS); do $(MAKE) -C $$dir clean; done
	dh_clean
