=== src/Makefile ===
# SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)

export CC V DESTDIR

DESTDIR?=/

ifneq ($V,1)
Q ?= @
endif

CC		= $(CROSS_COMPILE)gcc
LD		= $(CROSS_COMPILE)ld
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
READELF		= $(CROSS_COMPILE)readelf
STRIP		= $(CROSS_COMPILE)strip

INCLUDE	= -I$(srctree)/tools/lib/thermal/include -I$(srctree)/tools/thermal/lib -I/usr/include/libnl3
CFLAGS	= $(DEBUG) -Wall -Wextra $(INCLUDE) -Winline -pipe $(EXTRA_CFLAGS)
LDFLAGS	= -L$(srctree)/tools/lib/thermal -L$(srctree)/tools/thermal/lib -static
LIBS    = -lthermal -lnl-3 -lnl-genl-3 -lthermal_tools

SRC = rubikpi-thermal.c

OBJ	=	$(SRC:.c=.o)

rubikpi-thermal: $(OBJ)
	$Q $(CC) -o $@ $(OBJ) $(LIBS) $(LDFLAGS) $(INCLUDE)

install:
	$Q install -m 755 $(srctree)/src/rubikpi-thermal $(INSTALL_DIR)


.PHONY: clean
clean:
	rm -f *.o rubikpi-thermal
