=== debian/changelog ===
oem-tangshan-rubikpi3-thermal (1.1.0ubuntu0) noble; urgency=medium

  [ Hongyang ]
  * Initial release.
  * Modified to be triggered by netlink API.

  [ Ethan Hsieh ]
  * Refactored Makefile to follow standard Debian packaging conventions
  * Updated installation paths to use proper PREFIX-based directories
  * Removed systemd service installation from Makefile (now handled by debian packaging)
  * Updated debian/control with proper package metadata and dependencies
  * Added rubikpi3-thermal-dev package for development files
  * Fixed thermal.h symlink creation in tools/lib/thermal/Makefile
  * Added netlink library dependencies (libnl-3-dev, libnl-genl-3-dev)
  * Improved package descriptions with detailed functionality information
  * Renamed package to oem-tangshan-rubikpi3-thermal

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Sat, 26 Jul 2025 05:55:19 +0000
