=== debian/control ===
Source: oem-tangshan-rubikpi3-thermal
Section: utils
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper-compat (= 13), libnl-3-dev, libnl-genl-3-dev
Standards-Version: 4.6.2
Vcs-Git: https://code.launchpad.net/~tangshan-team/tangshan/+git/rubikpi3_thermal

Package: oem-tangshan-rubikpi3-thermal
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, libnl-3-200, libnl-genl-3-200
Description: Fan Management for RUBIK Pi 3
 This package provides thermal management for the RUBIK Pi 3. It monitors
 system temperature and automatically controls fan speed to maintain
 optimal operating temperatures.
 .
 The daemon runs as a systemd service and uses netlink API to receive
 thermal events from the kernel, providing efficient and responsive
 temperature monitoring and fan control.

Package: oem-tangshan-rubikpi3-thermal-dev
Architecture: arm64
Depends: ${misc:Depends}, oem-tangshan-rubikpi3-thermal (= ${binary:Version}), libnl-3-dev, libnl-genl-3-dev
Description: Development files for RUBIK Pi 3 thermal management
 This package contains the header files, static libraries, and development
 files needed to develop applications that use the thermal management
 libraries for RUBIK Pi 3.
 .
 Install this package if you want to develop programs that interact with
 the thermal management system or build custom thermal control applications.
